org.apache.lucene.store

## Class RawDirectoryWrapper

- java.lang.Object
- - org.apache.lucene.store.Directory
  - - org.apache.lucene.store.FilterDirectory
    - - org.apache.lucene.store.BaseDirectoryWrapper
      - - org.apache.lucene.store.RawDirectoryWrapper

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class RawDirectoryWrapper
      extends BaseDirectoryWrapper

  Delegates all operations, even optional ones, to the wrapped directory.

  This class is used if you want the most realistic testing, but still with a checkindex on close. If you want asserts and evil things, use MockDirectoryWrapper instead.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.BaseDirectoryWrapper

      `isOpen`

    - ### Fields inherited from class org.apache.lucene.store.FilterDirectory

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawDirectoryWrapper(Directory delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom(Directory from, String src, String dest, IOContext context)`
    `protected void` | `ensureOpen()`
    `ChecksumIndexInput` | `openChecksumInput(String name, IOContext context)`

    - ### Methods inherited from class org.apache.lucene.store.BaseDirectoryWrapper

      `close, getCheckIndexOnClose, getCrossCheckTermVectorsOnClose, isOpen, setCheckIndexOnClose, setCrossCheckTermVectorsOnClose`

    - ### Methods inherited from class org.apache.lucene.store.FilterDirectory

      `createOutput, createTempOutput, deleteFile, fileLength, getDelegate, getPendingDeletions, listAll, obtainLock, openInput, rename, sync, syncMetaData, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.store.Directory

      `getTempFileName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawDirectoryWrapper

          public RawDirectoryWrapper(Directory delegate)

  - ### Method Detail

    - #### copyFrom

          public void copyFrom(Directory from,
                               String src,
                               String dest,
                               IOContext context)
                        throws IOException

      Overrides:
        `copyFrom` in class `Directory`
      Throws:
        `IOException`

    - #### openChecksumInput

          public ChecksumIndexInput openChecksumInput(String name,
                                                      IOContext context)
                                               throws IOException

      Overrides:
        `openChecksumInput` in class `Directory`
      Throws:
        `IOException`

    - #### ensureOpen

          protected void ensureOpen()
                             throws AlreadyClosedException

      Overrides:
        `ensureOpen` in class `Directory`
      Throws:
        `AlreadyClosedException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.